Add ability to display diff directly in comment
Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

For example, right now we're able to write r12345 and Redmine will parse it and display a link to the revision or changeset. However,

it would be useful to be able to use specific syntax to have Redmine display the diff directly in the comment.

Existing format:

 400 

or as CodeRay would display it:

Index: field_format.rb

===================================================================

--- field_format.rb    (revision 12344)

+++ field_format.rb    (revision 12345)

@@ -315,7 +315,7 @@

       end

       def edit_tag(view, tag_id, tag_name, custom_value, options={})

-        view.hidden_field_tag(tag_name, '0') +

+        view.hidden_field_tag(tag_name, '0', :id => nil) +

           view.check_box_tag(tag_name, '1', custom_value.true?, options.merge(:id => tag_id))

       end

 Thanks for your consideration!

History

#1 - 2015-03-01 08:03 - Deoren Moor

 existing_diff_view.png 

Not sure what happened in the OP. Bad copy/paste I guess.

#2 - 2015-03-01 09:09 - Jean-Philippe Lang

- Description updated

#3 - 2015-03-29 05:40 - Toshi MARUYAMA

- Category set to Text formatting
